<div class="container">
  <div class="attachment-panel">
    <input type="file">
    <button class="btn btn-primary mb-3 btn-sm">Upload</button>

    <div class="table-responsive">
      <table class="table table-bordered">
        <tr class="flex-row">
          <th class="flex-column">
            Name
          </th>

          <th class="flex-column">
            Size
          </th>

          <th class="flex-column">
            Uploaded Date
          </th>

          <th class="flex-action-column">
            Action
          </th>
        </tr>

        <tr class="flex-row" *ngFor="let attachment of attachmentList">
          <td class="flex-column">
            {{attachment.name}}
          </td>

          <td class="flex-column">
            {{attachment.size}}
          </td>

          <td class="flex-column">
            {{attachment.uploaded_date}}
          </td>

          <td class="flex-action-column">
            <i class="fas fa-trash-alt mr-2 cursor-pointer" tooltip="Delete"
              (click)="openConfirmDialog(attachment)"></i>
          </td>
        </tr>
      </table>
    </div>
  </div>
</div>